This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
115609
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
AERO [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
2.14
Fixed in:
2.16



Subject: CPAN 2.14 has broken cpan-outdated compatibilty.
Hello, CPAN 2.14 has broken cpan-outdated compatibilty. "cpan-outdated | xargs cpan" doesn't work. and $ cpan M/ML/MLEHMANN/Coro-6.51.tar.gz CPAN: Storable loaded ok (v2.51) Reading '/home/aero/.cpan/Metadata' Database was generated on Sun, 26 Jun 2016 00:17:02 GMT Could not expand [M/ML/MLEHMANN/Coro-6.51.tar.gz]. Check the module name. I can suggest names if you install one of Text::Levenshtein::XS, Text::Levenshtein::Damerau::XS, Text::Levenshtein, and Text::Levenshtein::Damerau::PP Skipping M/ML/MLEHMANN/Coro-6.51.tar.gz because I couldn't find a matching namespace. aero@aero:~$
A tentative fix is in the repo and will likely find its way into the next release.
Should be fixed in 2.16. Thanks for the report!


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.